const { default: axios } = require('axios');
let exec = require('child_process').exec

// axios.get('https://run.mocky.io/v3/96cc4a74-fa96-4411-946d-717369e2ce5b').then(response => {
//   const data = response.data;
// });

const fetchJsonConfig = () => {
  const response = await axios.get('https://run.mocky.io/v3/96cc4a74-fa96-4411-946d-717369e2ce5b');
  const configFile = await response.data;
  return configFile;
}

const configContent = (content) => `
/** @type {import('tailwindcss').Config} */
module.exports = ${JSON.stringify(content)}
`

const generateTailwindConfigFile = async (fileData) =>{
await fsPromises.writeFile(`./tailwind.config.ts`, fileData);
}


const main = async() =>{
  try{
  const jsonConfig = await fetchJsonConfig()
  await generateTailwindConfigFile(configContent(jsonConfig))
     exec(`npx tailwindcss -i ${process.cwd()}/node_modules/library-nova/index.css -o ${process.cwd()}/styles/nova.css -c ${process.cwd()}/node_modules/library-nova/tailwind.config.js --watch`);

  }catch(error){
    throw new Error(error)
  }
}

main()